Index: fittingview/setup.py
===================================================================
--- fittingview/setup.py	(revision 7bb7a33353f81ef23fde0b1bd4b683d7959fe622)
+++ fittingview/setup.py	(revision c0a30a248741723afe6e23075215ab1a618c720b)
@@ -15,4 +15,5 @@
                                                        "perspectives",
                                                        "fitting")},
+    package_data={'sans.perspectives.fitting': ['media/*']},
     packages = ["sans.perspectives", 'sans',
                 "sans.perspectives.fitting"],
Index: fittingview/src/sans/perspectives/fitting/__init__.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/__init__.py	(revision 49c69de79aac6bbde0711203fe50ff3af1f0bb81)
+++ fittingview/src/sans/perspectives/fitting/__init__.py	(revision c0a30a248741723afe6e23075215ab1a618c720b)
@@ -1,2 +1,43 @@
 PLUGIN_ID = "Fitting plug-in 1.0"
 from fitting import *
+
+import os
+def get_data_path(media):
+    """
+    """
+    # Check for data path in the package
+    path = os.path.join(os.path.dirname(__file__), media)
+    if os.path.isdir(path):
+        return path
+
+    # Check for data path next to exe/zip file.
+    # If we are inside a py2exe zip file, we need to go up
+    # to get to the directory containing 
+    # the media for this module
+    path = os.path.dirname(__file__)
+    #Look for maximum n_dir up of the current dir to find media
+    n_dir = 12
+    for i in range(n_dir):
+        path, _ = os.path.split(path)
+        media_path = os.path.join(path, media)
+        if os.path.isdir(media_path):
+            module_media_path = os.path.join(media_path, 'fitting_media')
+            if os.path.isdir(module_media_path):
+                return module_media_path
+            return media_path
+   
+    raise RuntimeError('Could not find models media files')
+
+def data_files():
+    """
+    Return the data files associated with media.
+    
+    The format is a list of (directory, [files...]) pairs which can be
+    used directly in setup(...,data_files=...) for setup.py.
+
+    """
+    data_files = []
+    path = get_data_path(media="media")
+    for f in findall(path):
+        data_files.append(('media/fitting_media', [f]))
+    return data_files
Index: fittingview/src/sans/perspectives/fitting/help_panel.py
===================================================================
--- fittingview/src/sans/perspectives/fitting/help_panel.py	(revision 49c69de79aac6bbde0711203fe50ff3af1f0bb81)
+++ fittingview/src/sans/perspectives/fitting/help_panel.py	(revision c0a30a248741723afe6e23075215ab1a618c720b)
@@ -55,4 +55,16 @@
         self.path_pd = os.path.join(path,"pd_help.html")
         self.path_sm = os.path.join(path,"smear_computation.html")
+        import sans.perspectives.fitting as fitting
+        
+        fitting_path = fitting.get_data_path(media='media')
+        
+        _html_file = {"status_bar_help.html":"Status Bar Help",
+                      "load_data_help.html":"Load a File",
+                      "simultaneous_fit_help.html":"Simultaneous Fit",
+                      "single_fit_help.html":"Single Fit",
+                      "model_use_help.html":"Model Selection",
+                      "key_help.html":"Key Combination",
+                      }
+
                     
         page1="""<html>
@@ -64,13 +76,13 @@
             <body>
             <ul>
-            <li><a href ="media/status_bar_help.html" target ="showframe">Status Bar Help</a><br></li>
-            <li><a href ="media/load_data_help.html" target ="showframe">Load a File</a><br></li>
-            <li><a href ="media/simultaneous_fit_help.html" target ="showframe">Simultaneous Fit</a><br></li>
-            <li><a href ="media/single_fit_help.html" target ="showframe">Single Fit</a><br></li>
-            <li><a href ="media/model_use_help.html" target ="showframe">Model Selection</a><br></li>
-            <li><a href ="%s" target ="showframe">Model Functions</a><br></li>
-            <li><a href ="%s" target ="showframe">Polydispersion Distributions</a><br></li>
-            <li><a href ="%s" target ="showframe">Smear Computation</a><br></li>
-            <li><a href ="media/key_help.html" target ="showframe">Key Combination</a><br></li>
+            """
+        for p, title in _html_file.iteritems():
+            pp = os.path.join(fitting_path, p)
+            page += """<li><a href ="%s" target="showframe">%s</a><br></li>""" % (pp, title)
+          
+        page += """
+            <li><a href ="%s" target="showframe">Model Functions</a><br></li>
+            <li><a href ="%s" target="showframe">Polydispersion Distributions</a><br></li>
+            <li><a href ="%s" target="showframe">Smear Computation</a><br></li>
             </ul>
             </body>
@@ -113,5 +125,5 @@
         link= event.GetLinkInfo().GetHref()
         
-        self.rhelp.LoadPage(link)
+        self.rhelp.LoadPage(os.path.abspath(link))
         
 """
